From 60940ef958ec9886f189b1df3a587716eebc3d4d Mon Sep 17 00:00:00 2001
From: Phil Elwell <phil@raspberrypi.com>
Date: Tue, 27 Oct 2020 12:10:40 +0000
Subject: [PATCH] rpivid_h625: Fix build warnings

Signed-off-by: Phil Elwell <phil@raspberrypi.com>
---
 drivers/staging/media/rpivid/rpivid_h265.c | 16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)

--- a/drivers/staging/media/rpivid/rpivid_h265.c
+++ b/drivers/staging/media/rpivid/rpivid_h265.c
@@ -1341,10 +1341,10 @@ static int frame_end(struct rpivid_dev *
 
 		if (gptr_realloc_new(dev, de->cmd_copy_gptr, cmd_alloc)) {
 			v4l2_err(&dev->v4l2_dev,
-				 "Alloc cmd buffer (%d): FAILED\n", cmd_alloc);
+				 "Alloc cmd buffer (%zu): FAILED\n", cmd_alloc);
 			return -ENOMEM;
 		}
-		v4l2_info(&dev->v4l2_dev, "Alloc cmd buffer (%d): OK\n",
+		v4l2_info(&dev->v4l2_dev, "Alloc cmd buffer (%zu): OK\n",
 			  cmd_alloc);
 	}
 
@@ -1696,12 +1696,12 @@ static void rpivid_h265_setup(struct rpi
 				       bits_alloc,
 				       DMA_ATTR_FORCE_CONTIGUOUS) != 0) {
 				v4l2_err(&dev->v4l2_dev,
-					 "Unable to alloc buf (%d) for bit copy\n",
+					 "Unable to alloc buf (%zu) for bit copy\n",
 					 bits_alloc);
 				goto fail;
 			}
 			v4l2_info(&dev->v4l2_dev,
-				  "Alloc buf (%d) for bit copy OK\n",
+				  "Alloc buf (%zu) for bit copy OK\n",
 				  bits_alloc);
 		}
 	}
@@ -1995,11 +1995,11 @@ static void phase1_thread(struct rpivid_
 	if (de->p1_status & STATUS_PU_EXHAUSTED) {
 		if (gptr_realloc_new(dev, pu_gptr, next_size(pu_gptr->size))) {
 			v4l2_err(&dev->v4l2_dev,
-				 "%s: PU realloc (%#x) failed\n",
+				 "%s: PU realloc (%zx) failed\n",
 				 __func__, pu_gptr->size);
 			goto fail;
 		}
-		v4l2_info(&dev->v4l2_dev, "%s: PU realloc (%#x) OK\n",
+		v4l2_info(&dev->v4l2_dev, "%s: PU realloc (%zx) OK\n",
 			  __func__, pu_gptr->size);
 	}
 
@@ -2007,11 +2007,11 @@ static void phase1_thread(struct rpivid_
 		if (gptr_realloc_new(dev, coeff_gptr,
 				     next_size(coeff_gptr->size))) {
 			v4l2_err(&dev->v4l2_dev,
-				 "%s: Coeff realloc (%#x) failed\n",
+				 "%s: Coeff realloc (%zx) failed\n",
 				 __func__, coeff_gptr->size);
 			goto fail;
 		}
-		v4l2_info(&dev->v4l2_dev, "%s: Coeff realloc (%#x) OK\n",
+		v4l2_info(&dev->v4l2_dev, "%s: Coeff realloc (%zx) OK\n",
 			  __func__, coeff_gptr->size);
 	}
 
